# If there's no mozilla here, then take over:
if [ ! -r usr/bin/mozilla ]; then
  ( cd usr/bin ; ln -sf seamonkey mozilla )
fi
# Hopefully this won't break everything.  ;-)
if ! grep /usr/lib64/seamonkey etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
  echo "/usr/lib64/seamonkey" >> etc/ld.so.conf
fi
if [ -x /sbin/ldconfig ]; then
  /sbin/ldconfig 2> /dev/null
fi
( cd usr/lib64 ; rm -rf libssl3.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libssl3.so libssl3.so )
( cd usr/lib64 ; rm -rf libmozjs.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libmozjs.so libmozjs.so )
( cd usr/lib64 ; rm -rf libnspr4.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libnspr4.so libnspr4.so )
( cd usr/lib64 ; rm -rf libsoftokn3.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libsoftokn3.so libsoftokn3.so )
( cd usr/lib64 ; rm -rf libnss3.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libnss3.so libnss3.so )
( cd usr/lib64 ; rm -rf libplds4.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libplds4.so libplds4.so )
( cd usr/lib64 ; rm -rf libplc4.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libplc4.so libplc4.so )
( cd usr/lib64 ; rm -rf seamonkey )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14 seamonkey )
( cd usr/lib64 ; rm -rf libsmime3.so )
( cd usr/lib64 ; ln -sf seamonkey-1.1.14/libsmime3.so libsmime3.so )
( cd usr/include ; rm -rf seamonkey )
( cd usr/include ; ln -sf seamonkey-1.1.14 seamonkey )
